Cursor (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene, class: Cursor

# Class Cursor

java.lang.Object
javafx.scene.Cursor

Direct Known Subclasses:
  `ImageCursor`

public abstract class Cursor extends Object
A class to encapsulate the bitmap representation of the mouse cursor.

Since:
  JavaFX 2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Cursor`
  `CLOSED_HAND`
  A cursor with a hand that is closed, often used when "grabbing", for example, when panning.
  `static final Cursor`
  `CROSSHAIR`
  The crosshair cursor type.
  `static final Cursor`
  `DEFAULT`
  The default cursor type (gets set if no cursor is defined).
  `static final Cursor`
  `DISAPPEAR`
  The disappear cursor type.
  `static final Cursor`
  `E_RESIZE`
  The east-resize cursor type.
  `static final Cursor`
  `H_RESIZE`
  The horizontal cursor type.
  `static final Cursor`
  `HAND`
  The hand cursor type, resembling a pointing hand, often used to indicate that something can be clicked, such as a hyperlink.
  `static final Cursor`
  `MOVE`
  The move cursor type.
  `static final Cursor`
  `N_RESIZE`
  The north-resize cursor type.
  `static final Cursor`
  `NE_RESIZE`
  The north-east-resize cursor type.
  `static final Cursor`
  `NONE`
  The none cursor type.
  `static final Cursor`
  `NW_RESIZE`
  The north-west-resize cursor type.
  `static final Cursor`
  `OPEN_HAND`
  A cursor with a hand which is open
  `static final Cursor`
  `S_RESIZE`
  The south-resize cursor type.
  `static final Cursor`
  `SE_RESIZE`
  The south-east-resize cursor type.
  `static final Cursor`
  `SW_RESIZE`
  The south-west-resize cursor type.
  `static final Cursor`
  `TEXT`
  The text cursor type.
  `static final Cursor`
  `V_RESIZE`
  The vertical cursor type.
  `static final Cursor`
  `W_RESIZE`
  The west-resize cursor type.
  `static final Cursor`
  `WAIT`
  The wait cursor type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Cursor`
  `cursor(String identifier)`
  Returns a cursor for the specified identifier.
  `String`
  `toString()`
  Returns a string representation for the cursor.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final Cursor DEFAULT
    The default cursor type (gets set if no cursor is defined).

  - ### CROSSHAIR

    public static final Cursor CROSSHAIR
    The crosshair cursor type.

  - ### TEXT

    public static final Cursor TEXT
    The text cursor type.

  - ### WAIT

    public static final Cursor WAIT
    The wait cursor type.

  - ### SW_RESIZE

    public static final Cursor SW_RESIZE
    The south-west-resize cursor type.

  - ### SE_RESIZE

    public static final Cursor SE_RESIZE
    The south-east-resize cursor type.

  - ### NW_RESIZE

    public static final Cursor NW_RESIZE
    The north-west-resize cursor type.

  - ### NE_RESIZE

    public static final Cursor NE_RESIZE
    The north-east-resize cursor type.

  - ### N_RESIZE

    public static final Cursor N_RESIZE
    The north-resize cursor type.

  - ### S_RESIZE

    public static final Cursor S_RESIZE
    The south-resize cursor type.

  - ### W_RESIZE

    public static final Cursor W_RESIZE
    The west-resize cursor type.

  - ### E_RESIZE

    public static final Cursor E_RESIZE
    The east-resize cursor type.

  - ### OPEN_HAND

    public static final Cursor OPEN_HAND
    A cursor with a hand which is open

  - ### CLOSED_HAND

    public static final Cursor CLOSED_HAND
    A cursor with a hand that is closed, often used when "grabbing", for example, when panning.

  - ### HAND

    public static final Cursor HAND
    The hand cursor type, resembling a pointing hand, often used to indicate that something can be clicked, such as a hyperlink.

  - ### MOVE

    public static final Cursor MOVE
    The move cursor type.

  - ### DISAPPEAR

    public static final Cursor DISAPPEAR
    The disappear cursor type. This is often used when dragging something, such that when the user releases the mouse, the item will disappear. On Mac, this is used when dragging items off a toolbar or in other such situations.

  - ### H_RESIZE

    public static final Cursor H_RESIZE
    The horizontal cursor type.

  - ### V_RESIZE

    public static final Cursor V_RESIZE
    The vertical cursor type.

  - ### NONE

    public static final Cursor NONE
    The none cursor type. On platforms that don't support custom cursors, this will be the same as `DEFAULT`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation for the cursor.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation for the cursor.

  - ### cursor

    public static Cursor cursor(String identifier)
    Returns a cursor for the specified identifier. The identifier can be either a name of some standard cursor or a valid URL string. If the identifier names a standard cursor the corresponding cursor is returned. In the case of a URL string, the method returns a new `ImageCursor` created for that URL.
    Parameters:
      `identifier` - the cursor identifier
    Returns:
      the cursor for the identifier
    Throws:
      `IllegalArgumentException` - if the cursor identifier is not a valid URL string nor any standard cursor name